Summary: The GNU data compression program
Name: gzip
Version: 1.3.12
Release: 1
# info pages are under GFDL license
License: GPLv2 and GFDL
Group: Applications/File
URL: http://www.gzip.org/
Source0: ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: gzip-1.3.12-openbsd-owl-tmp.patch
Patch1: gzip-1.3.5-zforce.patch
Patch3: gzip-1.3.9-stderr.patch
Patch4: gzip-1.3.10-zgreppipe.patch
Patch5: gzip-1.3.9-rsync.patch
Patch7: gzip-1.3.9-addsuffix.patch
Patch14: gzip-1.3.5-cve-2006-4338.patch
Patch15: gzip-1.3.9-cve-2006-4337.patch
Patch16: gzip-1.3.5-cve-2006-4337_len.patch
Patch17: gzip-1.3.12-futimens.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /sbin/install-info, info

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your system, because it is a
very commonly used data compression program.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1 -b .owl-tmp
%patch1 -p1 -b .zforce
%patch3 -p1 -b .stderr
%patch4 -p1 -b .nixi
#%patch5 -p1 -b .rsync
%patch7 -p1 -b .addsuffix
%patch14 -p1 -b .4338
%patch15 -p1 -b .4337
%patch16 -p1 -b .4337l
%patch17 -p1 -b .futimens


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-largefile

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/gzip || :

# remove dependency on bash
cd ${RPM_BUILD_ROOT}%{_bindir}
filelist=`ls -1 | grep -v gzip`
for i in `echo $filelist` ; do
    sed -e "s|/opt/freeware/bin/bash|/bin/sh|g" < ${RPM_BUILD_ROOT}%{_bindir}/$i > ${RPM_BUILD_ROOT}%{_bindir}/.$i
    rm -f ${RPM_BUILD_ROOT}%{_bindir}/$i
    mv ${RPM_BUILD_ROOT}%{_bindir}/.$i ${RPM_BUILD_ROOT}%{_bindir}/$i
    chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/$i
done

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/gzip.info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .
rm -f uncompress zcat

mkdir -p ${RPM_BUILD_ROOT}/usr/linux/bin
cd ${RPM_BUILD_ROOT}/usr/linux/bin
ln -s ../../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/gzip.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gzip.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc NEWS README AUTHORS ChangeLog THANKS TODO
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/gzip.info*
/usr/bin/*
/usr/linux/bin/*


%changelog
* Thu Mar 27 2008 Michael Perzl <michael@perzl.org> - 1.3.12-1
- first version for AIX V5.1 and higher
